Bug 251496 - archivers/libarchive: add mbedTLS support and remove LZO default
Summary: archivers/libarchive: add mbedTLS support and remove LZO default
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Many People
Assignee: Greg Lewis
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2020-12-01 00:35 UTC by Martin Matuska
Modified: 2021-01-05 17:02 UTC (History)
2 users (show)

See Also:
glewis: maintainer-feedback+


Attachments
libarchive patch (1.23 KB, patch)
2020-12-01 00:35 UTC, Martin Matuska
no flags Details | Diff
Updated patch (1.23 KB, patch)
2020-12-01 00:37 UTC, Martin Matuska
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Martin Matuska freebsd_committer 2020-12-01 00:35:09 UTC
Created attachment 220122 [details]
libarchive patch

Libarchive supports crypto and hashing via OpenSSL, Nettle or mbedTLS. Add a RADIO option to select one or none of these. If none is selected, system libmd is used for hashing and crypto support is not built-in.

Distributing libarchive with LZO bindings violates LZO's GPL license. Remove LZO from OPTIONS_DEFAULT.
Comment 1 Martin Matuska freebsd_committer 2020-12-01 00:37:03 UTC
Created attachment 220124 [details]
Updated patch

Fixed typo in CRYPTO_DESC
Comment 2 daniel.engberg.lists 2020-12-05 15:08:18 UTC
libarchive is at 3.5.0 and this change looks reasonable as far as I can tell
Comment 3 Greg Lewis freebsd_committer 2020-12-05 20:27:08 UTC
I'm ok with the crypto changes.

I don't understand the LZO change.  We distribute a lot of GPL 2 packages, how is this any different?  If we distribute an LZO package then I don't see how a package that links to the library from it is somehow a violation where the LZO distribution is not.
Comment 4 Martin Matuska freebsd_committer 2020-12-05 21:12:27 UTC
The main difference is that LZO is GPL and not LGPL. You cannot distribute software linked to a GPL-licensed library under a different license than GPL.
Comment 5 Greg Lewis freebsd_committer 2020-12-06 21:59:39 UTC
Good point.  Approved.
Comment 6 commit-hook freebsd_committer 2021-01-05 17:00:41 UTC
A commit references this bug:

Author: fluffy
Date: Tue Jan  5 16:59:45 UTC 2021
New revision: 560412
URL: https://svnweb.freebsd.org/changeset/ports/560412

Log:
  archivers/libarchive: add mbedTLS support and remove LZO default

  PR:		251496
  Submitted by:	mm
  Approved by:	maintainer (glewis)

Changes:
  head/archivers/libarchive/Makefile
Comment 7 Dima Panov freebsd_committer 2021-01-05 17:02:59 UTC
committed